Package proton :: Module utils

[frames] | no frames]

# Module utils

source code

Classes
| BlockingLink
| SendException Exception used to indicate an exceptional state/condition on a send request
| BlockingSender
| Fetcher
| BlockingReceiver
| LinkDetached
| ConnectionClosed
| BlockingConnection A synchronous style connection wrapper.
| AtomicCount
| SyncRequestResponse Implementation of the synchronous request-responce (aka RPC) pattern.

Variables
| __package__ = ``'``proton``'``